For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList schedules
      • POSTCreate a schedule
      • GETGet results for a batch execution
      • GETList all schedule runs
      • GETGet results for a scheduled run
      • GETGet schedule sparklines
      • GETGet a schedule
      • PUTUpdate a schedule
      • DELDelete a schedule
      • POSTPause a schedule
      • POSTResume a schedule
      • POSTRun a schedule immediately
      • GETList runs for a schedule
      • GETGet schedule statistics
Dashboard
LogoLogo
Runtype APISchedules

Create a schedule

POST
/v1/schedules
POST
/v1/schedules
$curl -X POST https://api.runtype.com/v1/schedules \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "executionOptions": {
> "chunkSize": 200,
> "progressFlushSize": 25,
> "recordConcurrency": 25,
> "timeoutMs": 900000
> },
> "target": {
> "flowId": "flow_01jv0000000000000000000001",
> "recordType": "company"
> },
> "trigger": {
> "cron": "*/5 * * * *",
> "timezone": "America/Los_Angeles",
> "type": "recurring"
> }
>}'
1{
2 "id": "string",
3 "status": "created"
4}

Creates a new schedule for recurring or one-time flow/agent execution.

Was this page helpful?
Previous

Get results for a batch execution

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.

Response

Schedule created
idstring
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error